=head1 NAME


XXV::MODULES::GRAB



=head1 SYNOPSIS

  use XXV::MODULES::GRAB;
  my  = XXV::MODULES::GRAB->new(
    -config => $Config,
    -dbh    => $DBH,
    -realbin=> $RealBin,
  );


=head1 VERSION

0.01 - 06.09.2004

=head1 DESCRIPTION

Dieses Modul holt einen Screenshot von der DVB Karte per SVDRP

=head1 CONFIGURATION

=over 4



=item * file

Pfad an dem die Datei des Screenshots gespeichert wird.

=over 4

=item default value: /tmp/live.jpg

=item type: file

=item required: No

=back





=item * font

TrueType Zeichensatz für Overlaytext.

=over 4

=item default value: VeraIt.ttf

=item type: list

=item required: No

=back





=item * imgfontsize

Zeichengröße für Overlaytext (nur für TTF Font!).

=over 4

=item default value: 10

=item type: integer

=item required: No

=back





=item * imgquality

Qualität des Bildes in Prozent.

=over 4

=item default value: 80

=item type: integer

=item required: No

=back





=item * imgtext

Im Screenshots anzuzeigender Text.

=over 4

=item default value: [?- i = channel.split(' ') -?][[? i.shift ?]] [? i.join(' ') ?]

=item type: string

=item required: No

=back





=item * vpos

Vertikalen Position des anzuzeigen Text, in Pixeln.

=over 4

=item default value: 10

=item type: integer

=item required: No

=back





=item * xsize

Bildbreite

=over 4

=item default value: 320

=item type: integer

=item required: Yes

=back





=item * ysize

Bildhöhe

=over 4

=item default value: 240

=item type: integer

=item required: Yes

=back





=back

=head1 COMMANDS

=over 4



=item *  gdisplay (gd)

Zeige den Screenshot an



=item *  grab (gr)

Hole den Screenshot



=back

=head1 SEE ALSO

XXV

=head1 AUTHOR

Copyright (C) 2004, xpix. All rights reserved.

=cut
